> ## Documentation Index
> Fetch the complete documentation index at: https://docs.n8negri.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Collection



## OpenAPI

````yaml /api-reference/openapi.json get /v1/collections/{collection_id}
openapi: 3.1.0
info:
  title: Imtegrate API
  version: dev
servers: []
security: []
paths:
  /v1/collections/{collection_id}:
    get:
      tags:
        - collections
      summary: Get Collection
      operationId: get_collection_v1_collections__collection_id__get
      parameters:
        - name: collection_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Collection Id
        - name: Authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionDetail'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CollectionDetail:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        org_id:
          type: string
          format: uuid
          title: Org Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        type:
          type: string
          title: Type
        status:
          type: string
          title: Status
        total:
          type: integer
          title: Total
        completed:
          type: integer
          title: Completed
        failed:
          type: integer
          title: Failed
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
        zip_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Zip Url
        zip_storage_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Zip Storage Path
        created_at:
          type: string
          format: date-time
          title: Created At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
        items:
          items:
            $ref: '#/components/schemas/CollectionItemOut'
          type: array
          title: Items
          default: []
      type: object
      required:
        - id
        - org_id
        - name
        - type
        - status
        - total
        - completed
        - failed
        - zip_url
        - zip_storage_path
        - created_at
        - completed_at
      title: CollectionDetail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CollectionItemOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        collection_id:
          type: string
          format: uuid
          title: Collection Id
        image_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Image Id
        video_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Video Id
        status:
          type: string
          title: Status
        ordinal:
          anyOf:
            - type: integer
            - type: 'null'
          title: Ordinal
      type: object
      required:
        - id
        - collection_id
        - image_id
        - video_id
        - status
        - ordinal
      title: CollectionItemOut
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````